All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Transpose
Data Exchange and Initialization

Functions for transposing images of various types. More...

## Functions

NppStatus | nppiTranspose_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSrcROI, NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned int image transpose. More...
NppStatus | nppiTranspose_8u_C1R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSrcROI)
NppStatus | nppiTranspose_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSrcROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned int image transpose. More...
NppStatus | nppiTranspose_8u_C3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSrcROI)
NppStatus | nppiTranspose_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSrcROI, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned int image transpose. More...
NppStatus | nppiTranspose_8u_C4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSrcROI)
NppStatus | nppiTranspose_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSrcROI, NppStreamContext nppStreamCtx)
| 1 channel 16-bit unsigned int image transpose. More...
NppStatus | nppiTranspose_16u_C1R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSrcROI)
NppStatus | nppiTranspose_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSrcROI, NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned int image transpose. More...
NppStatus | nppiTranspose_16u_C3R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSrcROI)
NppStatus | nppiTranspose_16u_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSrcROI, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned int image transpose. More...
NppStatus | nppiTranspose_16u_C4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSrcROI)
NppStatus | nppiTranspose_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSrcROI, NppStreamContext nppStreamCtx)
| 1 channel 16-bit signed int image transpose. More...
NppStatus | nppiTranspose_16s_C1R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSrcROI)
NppStatus | nppiTranspose_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSrcROI, NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed int image transpose. More...
NppStatus | nppiTranspose_16s_C3R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSrcROI)
NppStatus | nppiTranspose_16s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSrcROI, NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed int image transpose. More...
NppStatus | nppiTranspose_16s_C4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSrcROI)
NppStatus | nppiTranspose_32s_C1R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSrcROI, NppStreamContext nppStreamCtx)
| 1 channel 32-bit signed int image transpose. More...
NppStatus | nppiTranspose_32s_C1R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSrcROI)
NppStatus | nppiTranspose_32s_C3R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSrcROI, NppStreamContext nppStreamCtx)
| 3 channel 32-bit signed int image transpose. More...
NppStatus | nppiTranspose_32s_C3R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSrcROI)
NppStatus | nppiTranspose_32s_C4R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSrcROI, NppStreamContext nppStreamCtx)
| 4 channel 32-bit signed int image transpose. More...
NppStatus | nppiTranspose_32s_C4R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSrcROI)
NppStatus | nppiTranspose_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSrcROI, NppStreamContext nppStreamCtx)
| 1 channel 32-bit floating point image transpose. More...
NppStatus | nppiTranspose_32f_C1R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSrcROI)
NppStatus | nppiTranspose_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSrcROI, NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point image transpose. More...
NppStatus | nppiTranspose_32f_C3R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSrcROI)
NppStatus | nppiTranspose_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSrcROI, NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point image transpose. More...
NppStatus | nppiTranspose_32f_C4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSrcROI)

## Detailed Description

Functions for transposing images of various types.

Like matrix transpose, image transpose is a mirror along the image's diagonal (upper-left to lower-right corner).

### Common parameters for nppiTranspose functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Pointer to the destination ROI.
  nDstStep | Destination-Image Line Step.
  oSrcROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiTranspose_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI
| ) |  |

NppStatus nppiTranspose_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit signed int image transpose.

For common parameter descriptions, see Common parameters for nppiTranspose functions.

NppStatus nppiTranspose_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI
| ) |  |

NppStatus nppiTranspose_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed int image transpose.

For common parameter descriptions, see Common parameters for nppiTranspose functions.

NppStatus nppiTranspose_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI
| ) |  |

NppStatus nppiTranspose_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed int image transpose.

For common parameter descriptions, see Common parameters for nppiTranspose functions.

NppStatus nppiTranspose_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI
| ) |  |

NppStatus nppiTranspose_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit unsigned int image transpose.

For common parameter descriptions, see Common parameters for nppiTranspose functions.

NppStatus nppiTranspose_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI
| ) |  |

NppStatus nppiTranspose_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned int image transpose.

For common parameter descriptions, see Common parameters for nppiTranspose functions.

NppStatus nppiTranspose_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI
| ) |  |

NppStatus nppiTranspose_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned int image transpose.

For common parameter descriptions, see Common parameters for nppiTranspose functions.

NppStatus nppiTranspose_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI
| ) |  |

NppStatus nppiTranspose_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit floating point image transpose.

For common parameter descriptions, see Common parameters for nppiTranspose functions.

NppStatus nppiTranspose_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI
| ) |  |

NppStatus nppiTranspose_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point image transpose.

For common parameter descriptions, see Common parameters for nppiTranspose functions.

NppStatus nppiTranspose_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI
| ) |  |

NppStatus nppiTranspose_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point image transpose.

For common parameter descriptions, see Common parameters for nppiTranspose functions.

NppStatus nppiTranspose_32s_C1R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI
| ) |  |

NppStatus nppiTranspose_32s_C1R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit signed int image transpose.

For common parameter descriptions, see Common parameters for nppiTranspose functions.

NppStatus nppiTranspose_32s_C3R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI
| ) |  |

NppStatus nppiTranspose_32s_C3R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit signed int image transpose.

For common parameter descriptions, see Common parameters for nppiTranspose functions.

NppStatus nppiTranspose_32s_C4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI
| ) |  |

NppStatus nppiTranspose_32s_C4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit signed int image transpose.

For common parameter descriptions, see Common parameters for nppiTranspose functions.

NppStatus nppiTranspose_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI
| ) |  |

NppStatus nppiTranspose_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned int image transpose.

For common parameter descriptions, see Common parameters for nppiTranspose functions.

NppStatus nppiTranspose_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI
| ) |  |

NppStatus nppiTranspose_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned int image transpose.

For common parameter descriptions, see Common parameters for nppiTranspose functions.

NppStatus nppiTranspose_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI
| ) |  |

NppStatus nppiTranspose_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSrcROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned int image transpose.

For common parameter descriptions, see Common parameters for nppiTranspose functions.

Copyright © 2009-2020 NVIDIA Corporation